curl -X GET https://api.swervpay.co/api/v1/customers \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.customer.gets()
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->customer()->gets()->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessId: businessId
SecretKey: secretKey
})
query := swervpay.PageAndLimitQuery{
Limit: 10,
Page: 1,
}
resp, err := client.Customer.Gets(ctx, query)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
[
{
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"is_blacklisted": true,
"last_name": "<string>",
"middle_name": "<string>",
"phone_number": "<string>",
"status": "<string>",
"tier": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}Customers
Get All Customers
Get customers
GET
/
customers
curl -X GET https://api.swervpay.co/api/v1/customers \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.customer.gets()
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->customer()->gets()->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessId: businessId
SecretKey: secretKey
})
query := swervpay.PageAndLimitQuery{
Limit: 10,
Page: 1,
}
resp, err := client.Customer.Gets(ctx, query)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
[
{
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"is_blacklisted": true,
"last_name": "<string>",
"middle_name": "<string>",
"phone_number": "<string>",
"status": "<string>",
"tier": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}curl -X GET https://api.swervpay.co/api/v1/customers \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.customer.gets()
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->customer()->gets()->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessId: businessId
SecretKey: secretKey
})
query := swervpay.PageAndLimitQuery{
Limit: 10,
Page: 1,
}
resp, err := client.Customer.Gets(ctx, query)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I